unit DiagStep1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WizTmpl, ExtCtrls, StdCtrls;

type
  TDiagramStep1 = class(TWizardTemplateForm)
    Label1: TLabel;
    GBFactors: TGroupBox;
    LBFactors: TListBox;
    procedure FormShow(Sender: TObject);
  public
    function GoForward:Boolean;override;
    function GoBackward:Boolean;override;
  end;

var
  DiagramStep1: TDiagramStep1;

implementation

{$R *.DFM}

uses Plan,MainUnit,DiagStep3;

function TDiagramStep1.GoForward:Boolean;
begin
  Result:=True;
  DiagramStep3.Reserved1:=LBFactors.ItemIndex;
  DiagramStep3.Reserved2:=-1;
end;

function TDiagramStep1.GoBackward:Boolean;
begin
  Result:=False;
end;

procedure TDiagramStep1.FormShow(Sender: TObject);
begin
  inherited;
  MainForm.MainPlan.LBFillWithNames(LBFactors.Items);
  LBFactors.ItemIndex:=0;
end;

end.
